#### [Abblix\.Oidc\.Server](https://www.abblix.com/en/docs/api/abblix-oidc-server 'index')
### [Abblix\.Oidc\.Server\.Endpoints\.DynamicClientManagement\.Interfaces](https://www.abblix.com/en/docs/api/abblix-oidc-server/Abblix.Oidc.Server.Endpoints.DynamicClientManagement.Interfaces 'Abblix\.Oidc\.Server\.Endpoints\.DynamicClientManagement\.Interfaces')

## RemoveClientSuccessfulResponse Class

Represents the internal result of a successful client deletion operation\.

```csharp
public record RemoveClientSuccessfulResponse : System.IEquatable<Abblix.Oidc.Server.Endpoints.DynamicClientManagement.Interfaces.RemoveClientSuccessfulResponse>
```

Inheritance [System\.Object](https://learn.microsoft.com/en-us/dotnet/api/system.object 'System\.Object') → RemoveClientSuccessfulResponse

Implements [System\.IEquatable&lt;](https://learn.microsoft.com/en-us/dotnet/api/system.iequatable-1 'System\.IEquatable\`1')[RemoveClientSuccessfulResponse](https://www.abblix.com/en/docs/api/abblix-oidc-server/Abblix.Oidc.Server.Endpoints.DynamicClientManagement.Interfaces.RemoveClientSuccessfulResponse 'Abblix\.Oidc\.Server\.Endpoints\.DynamicClientManagement\.Interfaces\.RemoveClientSuccessfulResponse')[&gt;](https://learn.microsoft.com/en-us/dotnet/api/system.iequatable-1 'System\.IEquatable\`1')

### Remarks

<strong>IMPORTANT:</strong> Per RFC 7592 Section 2.3, a successful DELETE request to the client
            configuration endpoint MUST return HTTP 204 No Content with an empty response body.

This record is used internally to track deletion details but should NOT be serialized in the HTTP response.
The HTTP response must be 204 No Content with headers:
- `Cache-Control: no-store`
- `Pragma: no-cache`

A successful deletion invalidates:
- The client's client_id
- The client's client_secret
- The registration_access_token
- All existing authorization grants and tokens (access tokens, refresh tokens, etc.)
### Constructors

## RemoveClientSuccessfulResponse\(string, DateTimeOffset\) Constructor {#Abblix.Oidc.Server.Endpoints.DynamicClientManagement.Interfaces.RemoveClientSuccessfulResponse.RemoveClientSuccessfulResponse(string,System.DateTimeOffset)}

Represents the internal result of a successful client deletion operation\.

```csharp
public RemoveClientSuccessfulResponse(string ClientId, System.DateTimeOffset RemovedAt);
```
#### Parameters

###### `ClientId` [System\.String](https://learn.microsoft.com/en-us/dotnet/api/system.string 'System\.String') {#Abblix.Oidc.Server.Endpoints.DynamicClientManagement.Interfaces.RemoveClientSuccessfulResponse.RemoveClientSuccessfulResponse(string,System.DateTimeOffset).ClientId}

The unique identifier of the client that was removed\.

###### `RemovedAt` [System\.DateTimeOffset](https://learn.microsoft.com/en-us/dotnet/api/system.datetimeoffset 'System\.DateTimeOffset') {#Abblix.Oidc.Server.Endpoints.DynamicClientManagement.Interfaces.RemoveClientSuccessfulResponse.RemoveClientSuccessfulResponse(string,System.DateTimeOffset).RemovedAt}

The timestamp when the client was removed from the system\.

### Remarks

<strong>IMPORTANT:</strong> Per RFC 7592 Section 2.3, a successful DELETE request to the client
            configuration endpoint MUST return HTTP 204 No Content with an empty response body.

This record is used internally to track deletion details but should NOT be serialized in the HTTP response.
The HTTP response must be 204 No Content with headers:
- `Cache-Control: no-store`
- `Pragma: no-cache`

A successful deletion invalidates:
- The client's client_id
- The client's client_secret
- The registration_access_token
- All existing authorization grants and tokens (access tokens, refresh tokens, etc.)
### Properties

## RemoveClientSuccessfulResponse\.ClientId Property {#Abblix.Oidc.Server.Endpoints.DynamicClientManagement.Interfaces.RemoveClientSuccessfulResponse.ClientId}

The unique identifier of the client that was removed\.

```csharp
public string ClientId { get; init; }
```

#### Property Value
[System\.String](https://learn.microsoft.com/en-us/dotnet/api/system.string 'System\.String')

## RemoveClientSuccessfulResponse\.RemovedAt Property {#Abblix.Oidc.Server.Endpoints.DynamicClientManagement.Interfaces.RemoveClientSuccessfulResponse.RemovedAt}

The timestamp when the client was removed from the system\.

```csharp
public System.DateTimeOffset RemovedAt { get; init; }
```

#### Property Value
[System\.DateTimeOffset](https://learn.microsoft.com/en-us/dotnet/api/system.datetimeoffset 'System\.DateTimeOffset')
